using Microsoft.Toolkit.Mvvm.ComponentModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.Model
{
    public class Book
    {
        public string Name { get; set; }
        public string Tag { get; set; }
    }
    public class BookEx : ObservableObject
    {
        public Book BookN { get; private set; }

        private bool _isChecked=false;

        public bool IsChecked
        {
            get
            {
                return _isChecked;
            }
            set
            {
                if (_isChecked != value)
                {
                    _isChecked = value;

                    OnPropertyChanged("IsChecked");
                }
            }
        }

        public BookEx(Book book)
        {
            BookN = book;
        }
    }
}
